Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.cms
Class CMSObjectCommandFactoryService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.controller.command.mapper.AbstractCommandFactory
                      org.jboss.portal.core.cms.CMSObjectCommandFactoryService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, CMSObjectCommandFactory, CommandFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class CMSObjectCommandFactoryService

extends AbstractCommandFactory
implements CMSObjectCommandFactory

This command mapper is used to map urls to cms content objects

Author:
  Roy Russo

Field Summary
`protected org.jboss.portal.cms.CMS` | `CMSService` .
`protected ServerConfig` | `serverConfig` .
`protected PortalObjectId` | `targetWindowId` .
`protected java.lang.String` | `targetWindowRef` .

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`CMSObjectCommandFactoryService()`

Method Summary
`ControllerCommand` | `doMapping(ControllerContext controllerContext, ServerInvocation invocation, java.lang.String host, java.lang.String contextPath, java.lang.String requestPath)` Create a command.
`org.jboss.portal.cms.CMS` | `getCMSService()`
`ServerConfig` | `getServerConfig()`
`PortalObjectId` | `getTargetWindowId()`
`java.lang.String` | `getTargetWindowRef()`
`void` | `setCMSService(org.jboss.portal.cms.CMS CMSService)`
`void` | `setServerConfig(ServerConfig serverConfig)`
`void` | `setTargetWindowRef(java.lang.String targetWindowRef)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMSService

    protected org.jboss.portal.cms.CMS CMSService

  .

### targetWindowRef

    protected java.lang.String targetWindowRef

  .

### targetWindowId

    protected PortalObjectId targetWindowId

  .

### serverConfig

    protected ServerConfig serverConfig

  .

Constructor Detail

### CMSObjectCommandFactoryService

    public CMSObjectCommandFactoryService()

Method Detail

### getTargetWindowId

    public PortalObjectId getTargetWindowId()

  Specified by:
    `getTargetWindowId` in interface `CMSObjectCommandFactory`

### getCMSService

    public org.jboss.portal.cms.CMS getCMSService()

### setCMSService

    public void setCMSService(org.jboss.portal.cms.CMS CMSService)

### getTargetWindowRef

    public java.lang.String getTargetWindowRef()

### setTargetWindowRef

    public void setTargetWindowRef(java.lang.String targetWindowRef)

### getServerConfig

    public ServerConfig getServerConfig()

### setServerConfig

    public void setServerConfig(ServerConfig serverConfig)

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### doMapping

    public ControllerCommand doMapping(ControllerContext controllerContext,
                                       ServerInvocation invocation,
                                       java.lang.String host,
                                       java.lang.String contextPath,
                                       java.lang.String requestPath)

  Description copied from interface: `CommandFactory`
  Create a command.

  Specified by:
    `doMapping` in interface `CommandFactory`
  Parameters:
    `controllerContext` - the controller context
    `invocation` - the server invocation
    `host` - the host
    `contextPath` - the context path
    `requestPath` - the request path @return the command or null if no command is recognized

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD